*[RSS]: Really Simple Syndication

## Présentation

Antopie propose des services Internet, administrés par et hébergés chez [Miraty](<?= clearnetOrOnion('https://miraty.antopie.org', 'http://miraty.sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion') ?>/fr/index.html) grâce à [YunoHost](https://yunohost.org).

Le compte <a href="https://mamot.fr/@Antopie" rel="me">@Antopie@mamot.fr</a> ([RSS](https://mamot.fr/@Antopie.rss)) informe des pannes, mises à jour et nouveaux services.

<nav class="row padRow">
	<a href="manifeste-sur-le-contenu.html" class="button">Manifeste sur le contenu</a>
	<br>
	<a href="details-techniques.html" class="button">Détails techniques</a>
	<br>
	<a href="cgu.html" class="button">Conditions d'utilisation</a>
</nav>

## Services

<div class="grid">

<?php

$services = [
	'peertube' => [
		'name' => 'PeerTube',
		'desc' => 'Regarder des vidéos sur le <a href="https://fr.wikipedia.org/wiki/Fediverse">Fédiverse</a>.',
		'domain' => 'video',
		'site' => 'joinpeertube.org',
		'code' => 'github.com/Chocobozzz/PeerTube',
		'package' => 'github.com/YunoHost-Apps/peertube_ynh',
		'action_emoji' => '▶️',
	],
	'gitea' => [
		'name' => 'Gitea',
		'desc' => '<a href="https://fr.wikipedia.org/wiki/Forge_(informatique)">Forge logicielle</a> simple basée sur <a href="https://fr.wikipedia.org/wiki/Git">Git</a>.',
		'domain' => 'code',
		'site' => 'gitea.io',
		'code' => 'github.com/go-gitea/gitea',
		'package' => 'github.com/YunoHost-Apps/gitea_ynh',
		'action_emoji' => '🧑‍💻',
	],
	'libreqr' => [
		'name' => 'LibreQR',
		'desc' => 'Un générateur de <a href="https://fr.wikipedia.org/wiki/Code_QR">codes QR</a> fait maison.',
		'domain' => 'qr',
		'code' => 'code.antopie.org/miraty/libreqr',
		'package' => 'code.antopie.org/miraty/qr_ynh',
		'action' => 'Générer un code QR',
	],
	'nextcloud' => [
		'name' => 'Nextcloud',
		'desc' => 'Principalement de la synchronisation de fichiers, mais peut faire plein d\'autres trucs avec des extensions.',
		'domain' => 'nuage',
		'site' => 'nextcloud.com',
		'code' => 'github.com/nextcloud/server',
		'package' => 'github.com/YunoHost-Apps/nextcloud_ynh',
		'presentation' => 'nextcloud',
		'action_emoji' => '☁️',
	],
	'synapse' => [
		'name' => 'Synapse',
		'desc' => 'Un serveur <a href="https://fr.wikipedia.org/wiki/Matrix_(protocole)">Matrix</a>, qui est un protocole internet moderne pour la communication écrite, audio ou vidéo.',
		'domain' => 'matrix',
		'code' => 'github.com/matrix-org/synapse',
		'package' => 'github.com/YunoHost-Apps/synapse_ynh',
		'presentation' => 'matrix',
		'action' => 'Plus d\'infos',
		'action_emoji' => 'ℹ️',
	],
	'element' => [
		'name' => 'Element',
		'desc' => 'Client Web pour Matrix.',
		'domain' => 'el',
		'site' => 'element.io',
		'code' => 'github.com/vector-im/element-web',
		'package' => 'github.com/YunoHost-Apps/element_ynh',
		'action_emoji' => '💬',
	],
	'lufi' => [
		'name' => 'Lufi',
		'desc' => 'Partager un fichier par une URL.',
		'domain' => 'lufi',
		'site' => '',
		'code' => 'framagit.org/fiat-tux/hat-softwares/lufi/',
		'package' => 'github.com/YunoHost-Apps/lufi_ynh',
		'action' => 'Téléverser un fichier',
		'action_emoji' => '⬆️',
	],
	'privatebin' => [
		'name' => 'PrivateBin',
		'desc' => 'Partager des textes, codes sources ou <a href="https://fr.wikipedia.org/wiki/Markdown">Markdown</a> rapidement.',
		'domain' => 'texte',
		'site' => 'privatebin.info',
		'code' => 'github.com/PrivateBin/PrivateBin',
		'package' => 'github.com/YunoHost-Apps/zerobin_ynh',
	],
	'etherpad' => [
		'name' => 'Etherpad',
		'desc' => 'Éditer un texte sur plusieurs appareils en même temps. Utilisable avec <a href="https://pad.antopie.org/mypads/">MyPads</a>.',
		'domain' => 'pad',
		'site' => 'etherpad.org',
		'code' => 'github.com/ether/etherpad-lite',
		'package' => 'github.com/YunoHost-Apps/etherpad_mypads_ynh',
		'action' => 'Corédiger',
		'action_emoji' => '📝',
	],
	'vaultwarden' => [
		'name' => 'Vaultwarden',
		'desc' => 'Enregistrer des clés de passe. Compatible avec les <a href="https://bitwarden.com/download/">clients Bitwarden</a>.',
		'domain' => 'mdp',
		'code' => 'github.com/dani-garcia/vaultwarden',
		'package' => 'github.com/YunoHost-Apps/vaultwarden_ynh',
		'action_emoji' => '🔑',
	],
	'diagrams' => [
		'name' => 'Diagrammes',
		'desc' => 'Créer des diagrammes.',
		'domain' => 'draw',
		'site' => 'www.drawio.com',
		'code' => 'github.com/jgraph/drawio',
		'package' => 'github.com/YunoHost-Apps/diagramsnet_ynh',
	],
	'opensondage' => [
		'name' => 'OpenSondage',
		'desc' => 'Planifier un rendez-vous et prendre des décisions.',
		'domain' => 'sondage',
		'site' => '',
		'code' => 'framagit.org/framasoft/framadate/framadate',
		'package' => 'github.com/YunoHost-Apps/opensondage_ynh',
		'action' => 'Créer un sondage',
		'action_emoji' => '📊',
	],
	'meta' => [
		'name' => 'Méta',
		'desc' => 'Afficher diverses métadonnées techniques relatives à la transmission de la page.',
		'domain' => 'meta',
		'code' => 'code.antopie.org/miraty/meta',
		'package' => 'github.com/YunoHost-Apps/my_webapp_ynh',
		'action' => 'Geeker',
		'action_emoji' => 'ℹ️',
	],
	'rssbridge' => [
		'name' => 'RSS Bridge',
		'desc' => 'Exporter les données de centaines de sites aux formats <a href="https://fr.wikipedia.org/wiki/Atom_Syndication_Format">Atom</a>, <a href="https://fr.wikipedia.org/wiki/JavaScript_Object_Notation">JSON</a>,  Mrss ou texte brut.',
		'domain' => 'rss',
		'code' => 'github.com/rss-bridge/rss-bridge',
		'package' => 'github.com/YunoHost-Apps/rss-bridge_ynh',
	],
	'invidious' => [
		'name' => 'Invidious',
		'desc' => 'Interface plus libre, légère et confidentielle pour accéder au contenu du service privateur YouTube.',
		'domain' => 'inv',
		'site' => 'invidious.io',
		'code' => 'github.com/iv-org/invidious',
		'package' => 'github.com/YunoHost-Apps/invidious_ynh',
		'action' => 'Chercher sur YouTube',
		'action_emoji' => '▶️',
	],
	'librex' => [
		'name' => 'Librex',
		'desc' => 'Interface pour anonymiser et combiner les résultats de plusieurs moteurs de recherche.',
		'domain' => 'librex',
		'code' => 'github.com/hnhx/librex',
		'package' => 'github.com/YunoHost-Apps/librex_ynh',
		'action' => 'Faire une recherche',
		'action_emoji' => '🔍',
	],
	'searx' => [
		'name' => 'Searx',
		'desc' => 'Comme Librex, avec plus de fonctionnalités. Le logiciel n\'étant plus maintenu, <strong>ce service pourra être fermé à partir de janvier 2024</strong>.',
		'domain' => 'searx',
		'site' => 'searx.github.io/searx',
		'code' => 'github.com/searx/searx',
		'package' => 'github.com/YunoHost-Apps/searx_ynh',
		'action' => 'Faire une recherche',
		'action_emoji' => '🔍',
	],
];

foreach($services as $service_id => $service) {
	$img_path = 'img/logos/' . $service_id . '.webp';
?>
<div>
<?php
	if (file_exists(SITE . '/' . $img_path)) {
		$sizes = getimagesize(SITE . '/' . $img_path);
?>
	<img class="imgService" src="<?= $img_path ?>" width="<?= $sizes[0] ?>" height="<?= $sizes[1] ?>" alt="">
	<?php } ?>
	<h3 class="titreService"><?= $service['name'] ?></h3>
	<small class="row">
		<?php if (isset($service['site'])) { ?>
		<a class="metaService" title="Site officiel de <?= $service['name'] ?>" href="https://<?= $service['site'] ?>">Site</a><br>
		<?php } ?>
		<a class="metaService" title="Code source de <?= $service['name'] ?>" href="https://<?= $service['code'] ?>">Source</a><br>
		<a class="metaService" title="Paquet YunoHost de <?= $service['name'] ?>" href="https://<?= $service['package'] ?>">Paquet</a>
	</small>
	<p class="descService">
		<?= $service['desc'] ?>
	</p>
	<nav>
	<?php if (isset($service['presentation'])) { ?>
		<a class="small-button" href="<?= $service['presentation'] ?>.html">Présentation</a>
		<br>
	<?php } ?>
		<a class="small-button action" href="<?= clearnetOrOnion('https://' . $service['domain'] . '.antopie.org', 'http://' . $service['domain'] . '.sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion') ?><?= ($service_id === 'synapse') ? '/_matrix/static/' : '/' ?>"><span aria-hidden="true"><?= $service['action_emoji'] ?? '➡' ?></span>&nbsp;<?= $service['action'] ?? 'Accéder au service' ?></a>
	</nav>
</div>

<?php } ?>

</div>
