# Matrix

Matrix est un protocole de communication permettant les communications instantanées sur Internet.

Antopie met à disposition un serveur Matrix utilisant le logiciel Synapse à l'adresse `matrix.antopie.org`. Il faut indiquer cette adresse à son client Matrix avant de se connecter.

## Fonctionnement client / serveur

À l'instar des e-mails, Matrix fonctionne sur le modèle client/serveur.

Le serveur (souvent appelé *serveur d'accueil*) est un logiciel qui tourne sur un ordinateur laissé allumé en permanence.

Le client est un logiciel sur votre appareil qui se connecte au serveur pour vérifier si il a reçu de nouveaux messages ou pour en envoyer.

## Les clients

Une [liste de clients](https://matrix.org/ecosystem/clients/) est disponible.

Antopie [héberge aussi la version Web du client Element](https://el.antopie.org/) qui utilise par défaut le serveur Synapse d'Antopie.

## Procédure d'inscription

1. Se rendre sur l'interface de création de compte du client Matrix de son choix. ([celle de la version Web d'Element hébergée par Antopie](https://el.antopie.org/#/register))
2. Définir le serveur d'accueil sur `matrix.antopie.org`, ou un autre serveur d'accueil de son choix ouvert aux inscriptions. Attention beaucoup de clients sont préconfigurés sur `matrix.org`, qui est donc un point central du réseau, il vaut souvent mieux aller ailleurs.
3. Choisir un nom et un nouveau mot de passe, ainsi qu'une adresse e-mail qui permet de réinitialiser le mot de passe et de prétendument lutter contre le spam.
4. À sa création, chaque compte créé sur `matrix.antopie.org` rejoins automatiquement le salon publique `#antopie-synapse:matrix.antopie.org`, qui est notamment utilisé pour notifier à l'avance des pannes et mises à jour importantes et prévues.
5. Si vous souhaitez que d'autres personnes vous contactent, votre identifiant Matrix est `@nom:serveur`, par exemple `@carotte:matrix.antopie.org`.

## Disponibilité

Afin de permettre sa sauvegarde locale, le service Synapse est éteint tous les 6 jours, environ de 5 à 6 heure (UTC+1 ou UTC+2 selon l'heure de France métropolitaine). Les comptes Matrix sur `matrix.antopie.org` sont inutilisables sur cette période.
